org.eclipse.mat.query

## Interface IResultPie.Slice

All Known Subinterfaces:
  IResultPie.ColoredSlice

Enclosing interface:
  IResultPie

    public static interface IResultPie.Slice

A slice of the pie.

### Method Summary

All Methods Instance Methods Abstract Methods
`IContextObject` `getContext()`
`String` `getDescription()`
`String` `getLabel()` The label for the pie chart
`double` `getValue()`

### Method Detail

#### getLabel

    String getLabel()

The label for the pie chart

Returns:
  the label

#### getValue

    double getValue()

#### getDescription

    String getDescription()

#### getContext

    IContextObject getContext()